Bug 313121 - Undefined symbol: php_url_parse_ex in Unknown on line 0
Undefined symbol: php_url_parse_ex in Unknown on line 0
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
4.5
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 11:41 EDT by Arturas Moskvinas
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 04:44:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport from php 4.4.7. It is adds php_url_parse_ex function with it's dependency php_replace_controlchars_ex. No other functions are modified. (9.76 KB, patch)
2007-09-30 11:41 EDT, Arturas Moskvinas
no flags Details | Diff

  None (edit)
Description Arturas Moskvinas 2007-09-30 11:41:08 EDT
Description of problem:
A request to backport function (php_url_parse_ex) from newer versions of php,
few new php plugins are using that function.

Version-Release number of selected component (if applicable):
php-4.3.9-3.22.9

How reproducible:
Install any php plugin which uses php_url_parse_ex function and it won't work.

Steps to Reproduce:
1. Install pecl memcache>2.1.2
2. php -m
  
Actual results:
Prints "PHP Warning:  Unknown(): Unable to load dynamic library
'/usr/lib64/php4/memcache.so' - /usr/lib64/php4/memcache.so: undefined symbol:
php_url_parse_ex in Unknown on line 0"
...
gmp
iconv
mime_magic
openssl
...

Expected results:
Output:
...
gmp
iconv
memcache
mime_magic
openssl
...

Additional info:
php_url_parse_ex was introduced in 4.3.10, it is a modification for
php_url_parse (accepts length, not only char array).
Comment 1 Arturas Moskvinas 2007-09-30 11:41:08 EDT
Created attachment 211791 [details]
Backport from php 4.4.7. It is adds php_url_parse_ex function with it's dependency php_replace_controlchars_ex. No other functions are modified.
Comment 2 Joe Orton 2007-10-01 04:44:21 EDT
This problem is resolved in the next release of Red Hat Enterprise Linux. Red
Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.